> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shop Loan Application

*This endpoint is **rate limited**. See [Rate Limits](/api-reference/rate_limits) for more details.*


## OpenAPI

````yaml PATCH /v1/loans/{id}/shop
openapi: 3.1.0
info:
  description: Development documentation
  title: Lenders API
  version: 1.4.0
servers:
  - url: https://sandbox-api.itscovered.com/lenders
security: []
tags:
  - description: Health check
    name: health
  - description: Loans
    name: loans
  - description: Policies
    name: policies
  - description: Authentication
    name: auth
paths:
  /v1/loans/{id}/shop:
    patch:
      tags:
        - loans
      operationId: patchV1LoansByIdShop
      parameters:
        - description: The unique identifier of the loan application
          in: path
          name: id
          required: true
          schema:
            example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  contactPageUrl:
                    description: URL for the contact page for this loan application
                    format: uri
                    type: string
                  hostedDisplayUrl:
                    description: The URL to display the loan application shop
                    example: >-
                      https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  id:
                    description: The unique identifier of the loan application
                    example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  loanId:
                    description: The identifier of the loan application in the loan system
                    example: '1234567890'
                    type: string
                  shortHostedDisplayUrl:
                    description: >-
                      Short URL for the hosted borrower quote experience, when
                      available
                    format: uri
                    type: string
                  status:
                    description: The status of the loan application shop
                    enum:
                      - NOT_YET_RATED
                      - RC1_RATING
                      - RC1_RATED
                      - RC2_RATING
                      - RC2_RATED
                      - RC1_ERRORED
                      - CLOSED_WON
                      - CLOSED_LOST
                    example: NOT_YET_RATED
                    type: string
                required:
                  - id
                  - loanId
                  - status
                  - hostedDisplayUrl
                type: object
            multipart/form-data:
              schema:
                properties:
                  contactPageUrl:
                    description: URL for the contact page for this loan application
                    format: uri
                    type: string
                  hostedDisplayUrl:
                    description: The URL to display the loan application shop
                    example: >-
                      https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  id:
                    description: The unique identifier of the loan application
                    example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  loanId:
                    description: The identifier of the loan application in the loan system
                    example: '1234567890'
                    type: string
                  shortHostedDisplayUrl:
                    description: >-
                      Short URL for the hosted borrower quote experience, when
                      available
                    format: uri
                    type: string
                  status:
                    description: The status of the loan application shop
                    enum:
                      - NOT_YET_RATED
                      - RC1_RATING
                      - RC1_RATED
                      - RC2_RATING
                      - RC2_RATED
                      - RC1_ERRORED
                      - CLOSED_WON
                      - CLOSED_LOST
                    example: NOT_YET_RATED
                    type: string
                required:
                  - id
                  - loanId
                  - status
                  - hostedDisplayUrl
                type: object
            text/plain:
              schema:
                properties:
                  contactPageUrl:
                    description: URL for the contact page for this loan application
                    format: uri
                    type: string
                  hostedDisplayUrl:
                    description: The URL to display the loan application shop
                    example: >-
                      https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  id:
                    description: The unique identifier of the loan application
                    example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  loanId:
                    description: The identifier of the loan application in the loan system
                    example: '1234567890'
                    type: string
                  shortHostedDisplayUrl:
                    description: >-
                      Short URL for the hosted borrower quote experience, when
                      available
                    format: uri
                    type: string
                  status:
                    description: The status of the loan application shop
                    enum:
                      - NOT_YET_RATED
                      - RC1_RATING
                      - RC1_RATED
                      - RC2_RATING
                      - RC2_RATED
                      - RC1_ERRORED
                      - CLOSED_WON
                      - CLOSED_LOST
                    example: NOT_YET_RATED
                    type: string
                required:
                  - id
                  - loanId
                  - status
                  - hostedDisplayUrl
                type: object
          description: The response from the loan application shop
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Token
      scheme: bearer
      type: http

````